export DEBUG=True

export SECRET_KEY="myv-y4#7j-d*p-__@j#*3z@!y24fz8%^z2v6atuy4bo9vqr1_a"

export SITEURL=http://localhost:8000/
export ALLOWED_HOSTS="['localhost',]"

export GEONODE_INSTANCE_NAME=geonode
export DJANGO_SETTINGS_MODULE=upgrade_mapground.settings
export GEONODE_DATABASE=upgrade_mapground
export GEONODE_DATABASE_PASSWORD=geonode
export GEONODE_GEODATABASE=upgrade_mapground_data
export GEONODE_GEODATABASE_PASSWORD=geonode

export DATABASE_URL=postgis://upgrade_mapground:geonode@localhost:5432/upgrade_mapground
export GEODATABASE_URL=postgis://upgrade_mapground_data:geonode@localhost:5432/upgrade_mapground_data
export DEFAULT_BACKEND_DATASTORE=datastore

export GEOSERVER_WEB_UI_LOCATION=http://localhost:8080/geoserver/
export GEOSERVER_PUBLIC_LOCATION=http://localhost:8080/geoserver/
export GEOSERVER_LOCATION=http://localhost:8080/geoserver/
export GEOSERVER_ADMIN_USER=admin
export GEOSERVER_ADMIN_PASSWORD=geoserver

export OGC_REQUEST_TIMEOUT=30
export OGC_REQUEST_MAX_RETRIES=1
export OGC_REQUEST_BACKOFF_FACTOR=0.3
export OGC_REQUEST_POOL_MAXSIZE=10
export OGC_REQUEST_POOL_CONNECTIONS=10

export DEFAULT_BACKEND_UPLOADER=geonode.importer
export TIME_ENABLED=True
export MOSAIC_ENABLED=False

export ADMIN_PASSWORD=admin
export ADMIN_EMAIL=admin@localhost

export EMAIL_ENABLE=False
export DJANGO_EMAIL_BACKEND=django.core.mail.backends.smtp.EmailBackend
export DJANGO_EMAIL_HOST=localhost
export DJANGO_EMAIL_PORT=25
export DJANGO_EMAIL_HOST_USER=
export DJANGO_EMAIL_HOST_PASSWORD=
export DJANGO_EMAIL_USE_TLS=False
export DJANGO_EMAIL_USE_SSL=False
export DEFAULT_FROM_EMAIL="GeoNode <no-reply@geonode.org>"

export LOCKDOWN_GEONODE=False
export CORS_ORIGIN_ALLOW_ALL=True
export X_FRAME_OPTIONS=ALLOW-FROM ALL
export SESSION_EXPIRED_CONTROL_ENABLED=True
export DEFAULT_ANONYMOUS_VIEW_PERMISSION=True
export DEFAULT_ANONYMOUS_DOWNLOAD_PERMISSION=True

export ACCOUNT_OPEN_SIGNUP=True
export ACCOUNT_EMAIL_REQUIRED=True
export ACCOUNT_APPROVAL_REQUIRED=False
export ACCOUNT_CONFIRM_EMAIL_ON_GET=False
export ACCOUNT_EMAIL_VERIFICATION=none
export ACCOUNT_EMAIL_CONFIRMATION_EMAIL=False
export ACCOUNT_EMAIL_CONFIRMATION_REQUIRED=False
export ACCOUNT_AUTHENTICATION_METHOD=username_email

export OAUTH2_API_KEY=
export OAUTH2_CLIENT_ID=Jrchz2oPY3akmzndmgUTYrs9gczlgoV20YPSvqaV
export OAUTH2_CLIENT_SECRET=rCnp5txobUo83EpQEblM8fVj3QT5zb5qRfxNsuPzCqZaiRyIoxM4jdgMiZKFfePBHYXCLd7B8NlkfDBY9HKeIQPcy5Cp08KQNpRHQbjpLItDHv12GvkSeXp6OxaUETv3

export API_LOCKDOWN=False
export TASTYPIE_APIKEY=

export CACHE_BUSTING_STATIC_ENABLED=False
export CACHE_BUSTING_MEDIA_ENABLED=False

export MAX_DOCUMENT_SIZE=2
export CLIENT_RESULTS_LIMIT=5
export API_LIMIT_PER_PAGE=1000

export GEONODE_CLIENT_LAYER_PREVIEW_LIBRARY=mapstore
export MAPBOX_ACCESS_TOKEN=
export BING_API_KEY=
export GOOGLE_API_KEY=

export MONITORING_ENABLED=True
export MONITORING_DATA_TTL=365
export USER_ANALYTICS_ENABLED=True
export USER_ANALYTICS_GZIP=True
export CENTRALIZED_DASHBOARD_ENABLED=False
export MONITORING_SERVICE_NAME=local-geonode
export MONITORING_HOST_NAME=geonode

export MODIFY_TOPICCATEGORY=True
export AVATAR_GRAVATAR_SSL=True
export AVATAR_PROVIDERS='avatar.providers.PrimaryAvatarProvider','avatar.providers.GravatarAvatarProvider','avatar.providers.DefaultAvatarProvider'
export EXIF_ENABLED=True
export CREATE_LAYER=True
export FAVORITE_ENABLED=True
